---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libtimers.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x55A40, symBinAddr: 0x8300, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x57980, symBinAddr: 0xA240, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x57D70, symBinAddr: 0xA630, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x58D10, symBinAddr: 0xB5D0, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x58D20, symBinAddr: 0xB5E0, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: _jvmti, symObjAddr: 0x70420, symBinAddr: 0x22CE0, symSize: 0x0 }
  - { offsetInCU: 0x8DA9, offset: 0x8DA9, size: 0x8, addend: 0x0, symName: _iGlobalStatus, symObjAddr: 0x70428, symBinAddr: 0x22CE8, symSize: 0x0 }
  - { offsetInCU: 0x8DBE, offset: 0x8DBE, size: 0x8, addend: 0x0, symName: _initial_time, symObjAddr: 0x70B10, symBinAddr: 0x22CF0, symSize: 0x0 }
  - { offsetInCU: 0x8DD3, offset: 0x8DD3, size: 0x8, addend: 0x0, symName: _thread_info, symObjAddr: 0x70B20, symBinAddr: 0x22D00, symSize: 0x0 }
  - { offsetInCU: 0x8E2E, offset: 0x8E2E, size: 0x8, addend: 0x0, symName: _printdump, symObjAddr: 0xFAE0, symBinAddr: 0x8088, symSize: 0x0 }
  - { offsetInCU: 0x8E43, offset: 0x8E43, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x55580, symBinAddr: 0x8090, symSize: 0x0 }
  - { offsetInCU: 0x8E4E, offset: 0x8E4E, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x55584, symBinAddr: 0x8094, symSize: 0x0 }
  - { offsetInCU: 0x8E59, offset: 0x8E59, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x55588, symBinAddr: 0x8098, symSize: 0x0 }
  - { offsetInCU: 0x8E9E, offset: 0x8E9E, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x556E0, symBinAddr: 0x80A0, symSize: 0x0 }
  - { offsetInCU: 0x8F17, offset: 0x8F17, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x55798, symBinAddr: 0x8158, symSize: 0x0 }
  - { offsetInCU: 0x8F35, offset: 0x8F35, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5579C, symBinAddr: 0x815C, symSize: 0x0 }
  - { offsetInCU: 0x8F4E, offset: 0x8F4E, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x557A0, symBinAddr: 0x8160, symSize: 0x0 }
  - { offsetInCU: 0x8F67, offset: 0x8F67, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x557A4, symBinAddr: 0x8164, symSize: 0x0 }
  - { offsetInCU: 0x8F80, offset: 0x8F80, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x557A8, symBinAddr: 0x8168, symSize: 0x0 }
  - { offsetInCU: 0x8F99, offset: 0x8F99, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x557B0, symBinAddr: 0x8170, symSize: 0x0 }
  - { offsetInCU: 0x9022, offset: 0x9022, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x557C8, symBinAddr: 0x8188, symSize: 0x0 }
  - { offsetInCU: 0x903B, offset: 0x903B, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x557D0, symBinAddr: 0x8190, symSize: 0x0 }
  - { offsetInCU: 0x9054, offset: 0x9054, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x557D8, symBinAddr: 0x8198, symSize: 0x0 }
  - { offsetInCU: 0x906D, offset: 0x906D, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x557E0, symBinAddr: 0x81A0, symSize: 0x0 }
  - { offsetInCU: 0x9087, offset: 0x9087, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x557E8, symBinAddr: 0x81A8, symSize: 0x0 }
  - { offsetInCU: 0x916D, offset: 0x916D, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x55830, symBinAddr: 0x81B0, symSize: 0x0 }
  - { offsetInCU: 0x9186, offset: 0x9186, size: 0x8, addend: 0x0, symName: __ZL12capabilities, symObjAddr: 0x55968, symBinAddr: 0x82E8, symSize: 0x0 }
  - { offsetInCU: 0x91D8, offset: 0x91D8, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x1700, symSize: 0x80 }
  - { offsetInCU: 0x926D, offset: 0x926D, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x1650, symSize: 0xB0 }
  - { offsetInCU: 0x92C8, offset: 0x92C8, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x1550, symSize: 0x100 }
  - { offsetInCU: 0x955B, offset: 0x955B, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x1780, symSize: 0x220 }
  - { offsetInCU: 0x9740, offset: 0x9740, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x19A0, symSize: 0xA0 }
  - { offsetInCU: 0x97F3, offset: 0x97F3, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x1A40, symSize: 0x110 }
  - { offsetInCU: 0x98E9, offset: 0x98E9, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x1B50, symSize: 0x150 }
  - { offsetInCU: 0x9A10, offset: 0x9A10, size: 0x8, addend: 0x0, symName: __Z15jlong_to_stringlPc, symObjAddr: 0xE30, symBinAddr: 0x1CA0, symSize: 0x270 }
  - { offsetInCU: 0x9A5A, offset: 0x9A5A, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1F10, symSize: 0x30 }
  - { offsetInCU: 0x9B73, offset: 0x9B73, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x1F40, symSize: 0x150 }
  - { offsetInCU: 0x9D6B, offset: 0x9D6B, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x2090, symSize: 0x160 }
  - { offsetInCU: 0x9EF7, offset: 0x9EF7, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x21F0, symSize: 0x1B0 }
  - { offsetInCU: 0xA112, offset: 0xA112, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x23A0, symSize: 0xA0 }
  - { offsetInCU: 0xA1E1, offset: 0xA1E1, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x2440, symSize: 0x20 }
  - { offsetInCU: 0xA218, offset: 0xA218, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x2460, symSize: 0x20 }
  - { offsetInCU: 0xA24F, offset: 0xA24F, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x2480, symSize: 0x20 }
  - { offsetInCU: 0xA3BE, offset: 0xA3BE, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x24A0, symSize: 0x1A0 }
  - { offsetInCU: 0xA6E4, offset: 0xA6E4, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x2640, symSize: 0x80 }
  - { offsetInCU: 0xA7AD, offset: 0xA7AD, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x26C0, symSize: 0x6A0 }
  - { offsetInCU: 0xB342, offset: 0xB342, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xB910, symBinAddr: 0x5120, symSize: 0xB0 }
  - { offsetInCU: 0xB3B9, offset: 0xB3B9, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x2D60, symSize: 0x70 }
  - { offsetInCU: 0xB475, offset: 0xB475, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x2DD0, symSize: 0xA0 }
  - { offsetInCU: 0xB580, offset: 0xB580, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x2E70, symSize: 0x40 }
  - { offsetInCU: 0xB676, offset: 0xB676, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x2EB0, symSize: 0x2B0 }
  - { offsetInCU: 0xBA1C, offset: 0xBA1C, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x3160, symSize: 0xC0 }
  - { offsetInCU: 0xBB62, offset: 0xBB62, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x3220, symSize: 0x10 }
  - { offsetInCU: 0xBC24, offset: 0xBC24, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x3230, symSize: 0x220 }
  - { offsetInCU: 0xBF21, offset: 0xBF21, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x3450, symSize: 0x10 }
  - { offsetInCU: 0xBF7E, offset: 0xBF7E, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x3460, symSize: 0x180 }
  - { offsetInCU: 0xC193, offset: 0xC193, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9D90, symBinAddr: 0x35E0, symSize: 0x10 }
  - { offsetInCU: 0xC1F0, offset: 0xC1F0, size: 0x8, addend: 0x0, symName: _debug_printf, symObjAddr: 0x9DA0, symBinAddr: 0x35F0, symSize: 0xC0 }
  - { offsetInCU: 0xC298, offset: 0xC298, size: 0x8, addend: 0x0, symName: _vmInit, symObjAddr: 0x9E60, symBinAddr: 0x36B0, symSize: 0x2D0 }
  - { offsetInCU: 0xC399, offset: 0xC399, size: 0x8, addend: 0x0, symName: _vmExit, symObjAddr: 0xA130, symBinAddr: 0x3980, symSize: 0x20 }
  - { offsetInCU: 0xC3D2, offset: 0xC3D2, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_timers_JvmtiTest_GetResult, symObjAddr: 0xA190, symBinAddr: 0x39A0, symSize: 0x10 }
  - { offsetInCU: 0xC446, offset: 0xC446, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_timers_JvmtiTest_RegisterCompletedThread, symObjAddr: 0xA1A0, symBinAddr: 0x39B0, symSize: 0xA0 }
  - { offsetInCU: 0xC64A, offset: 0xC64A, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_timers_JvmtiTest_Analyze, symObjAddr: 0xA240, symBinAddr: 0x3A50, symSize: 0x1410 }
  - { offsetInCU: 0xCF71, offset: 0xCF71, size: 0x8, addend: 0x0, symName: __ZL15print_timerinfoP14jvmtiTimerInfo, symObjAddr: 0xB650, symBinAddr: 0x4E60, symSize: 0x2C0 }
  - { offsetInCU: 0xCFF8, offset: 0xCFF8, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xB9C0, symBinAddr: 0x51D0, symSize: 0x36A }
...
